package com.zt.plat.module.base.service.base;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.api.dto.AccountDTO;
import com.zt.plat.module.base.controller.admin.base.vo.AccountPageReqVO;
import com.zt.plat.module.base.controller.admin.base.vo.AccountRespVO;
import com.zt.plat.module.base.controller.admin.base.vo.AccountSaveReqVO;
import com.zt.plat.module.base.dal.dataobject.base.AccountDO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * 账户条款 Service 接口
 *
 * @author 后台管理
 */
public interface AccountService {

    /**
     * 创建账户条款
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    AccountRespVO createAccount(@Valid AccountSaveReqVO createReqVO);

    /**
     * 更新账户条款
     *
     * @param updateReqVO 更新信息
     */
    void updateAccount(@Valid AccountSaveReqVO updateReqVO);

    /**
     * 删除账户条款
     *
     * @param id 编号
     */
    void deleteAccount(Long id);

    /**
    * 批量删除账户条款
    *
    * @param ids 编号
    */
    void deleteAccountListByIds(List<Long> ids);

    /**
     * 获得账户条款
     *
     * @param id 编号
     * @return 账户条款
     */
    AccountDO getAccount(Long id);

    /**
     * 获得账户条款分页
     *
     * @param pageReqVO 分页查询
     * @return 账户条款分页
     */
    PageResult<AccountDO> getAccountPage(AccountPageReqVO pageReqVO);

    /**
     * 批量更新账户条款
     *
     * @param saveReqVOS 账户条款
     */
    void enableAccountList(List<AccountSaveReqVO>  saveReqVOS);

    List<AccountDTO> getAccountNoPage(AccountDTO respVO);
}